<?php $sectioncolor = get_sub_field( 'couleur_du_bloc' ); ?>
<?php $sectionpadding = get_sub_field( 'espacement_vertical' ); ?>
<?php $marge_interne_basse = get_sub_field( 'marge_interne_basse' ); ?>
<?php $align_colonnes = get_sub_field( 'alignement_des_colonnes' ); ?>

<section class="<?php echo $sectioncolor . ' ' . $sectionpadding . ' ' . $marge_interne_basse ?>">
		<div class="container">

		<?php get_template_part('parts/acf_sectiontitle'); ?>
		
		<?php if ( have_rows( 'colonnes' ) ) : ?>
			<div class="blockcolumn <?php echo $align_colonnes; ?>">
				<?php while ( have_rows( 'colonnes' ) ) : the_row(); ?>
					<div class="column_item">
						<?php $bloc_colonne_avec_icones_icone = get_sub_field( 'bloc_colonne_avec_icones_icone' ); ?>
						<?php if ( $bloc_colonne_avec_icones_icone ) { ?>
                            <?php if ( get_sub_field( 'ajouter_un_lien_' ) == 1 ) : ?>
                                <?php if ( have_rows( 'bouton' ) ) : ?>
                                    <?php while ( have_rows( 'bouton' ) ) : the_row(); ?>
                                        <?php if( get_sub_field('type_de_lien') == '_blank' ) : ?>
                                            <a href="<?php the_sub_field( 'urlexterne' ); ?>" target="<?php the_sub_field( 'type_de_lien' ); ?>" class="column_item__icon_wrapper rounded primarybg">
                                                <?php echo wp_get_attachment_image( $bloc_colonne_avec_icones_icone, 'full', "", array( "class" => "column_item_icon" ) ); ?>
                                            </a>
                                        <?php else : ?>
                                            <a href="<?php the_sub_field( 'lien_interne' ); ?>" target="<?php the_sub_field( 'type_de_lien' ); ?>" class="column_item__icon_wrapper rounded primarybg">
                                                <?php echo wp_get_attachment_image( $bloc_colonne_avec_icones_icone, 'full', "", array( "class" => "column_item_icon" ) ); ?>
                                            </a>
                                        <?php endif; ?>
                                    <?php endwhile; ?>
                                <?php endif; ?>
                            <?php else:?>
                                <div class="column_item__icon_wrapper rounded primarybg">
                                    <?php echo wp_get_attachment_image( $bloc_colonne_avec_icones_icone, 'full', "", array( "class" => "column_item_icon" ) ); ?>
                                </div>
                            <?php endif; ?>
						<?php } ?>
                        <?php if(get_sub_field( 'titre' )){ ?>
                            <div class="column_item__title <?php the_sub_field( 'couleur_du_titre' ); ?>"><?php the_sub_field( 'titre' ); ?></div>
                        <?php } ?>

						<?php get_template_part('parts/acf_lien'); ?>

					</div>
				<?php endwhile; ?>
			</div>
		<?php endif; ?>

	</div>
</section>

